Bug 441664 - rsyslog should explicitly conflict with syslog-ng
rsyslog should explicitly conflict with syslog-ng
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: rsyslog (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Peter Vrabec
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Blocker/F10FinalBlocker
  Show dependency treegraph
 
Reported: 2008-04-09 08:12 EDT by Todd Denniston
Modified: 2008-09-15 09:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-15 09:16:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Todd Denniston 2008-04-09 08:12:16 EDT
Description of problem:
Installing both syslog-ng and rsyslog causes no messages to make there way to
/var/log/messages, and rsyslog.spec does not explicitly conflict with syslog-ng.

Version-Release number of selected component (if applicable):
rsyslog-3.14.1-2.fc9.src.rpm


How reproducible:
Always

Steps to Reproduce:
1. rpm -ivh rsyslog-3.14.1-2.fc9.src.rpm
2. grep "Conflicts:"  %_topdir/SPECS/rsyslog.spec |grep -i syslog-ng

  
Actual results:
no output

Expected results:
Conflicts: syslog-ng

Additional info:
http://fedoraproject.org/wiki/Packaging/Conflicts#head-a3e75114b735eec983efe78af0fc03bb81ea5a90
These two packages have an implicit conflict, that has no sane way to resolve.
Comment 1 Jose Pedro Oliveira 2008-04-11 12:04:23 EDT
There is a solution for the problem: read the comments >= #16 of bug #400661.

/jpo

Reference:
https://bugzilla.redhat.com/show_bug.cgi?id=400661
Comment 2 Todd Denniston 2008-04-14 15:46:14 EDT
Re: comment #1
OK, so there may be a SANE way to resolve it... 
Apparently my bug search was too narrow, I think I only looked in
version:rawhide and or version:8 for the bug.

Assumption: both daemons "using the same the pid file (/var/run/syslogd.pid)",
would cause the second one that is fired up by init (or the new init replacment)
to either kill the first one or itself.

correct?

Apparently Peter Vrabec <pvrabec@redhat.com> decided that was not such a great idea.
from the rsyslog-3.14.1-2.fc9.src.rpm rsyslog.spec Change log:
* Wed Jan 16 2008 change pid filename and use logrotata script from sysklogd
* Fri Jan 18 2008 use rsyslog own pid file

looking at the syslog-ng-2.0.8-1.fc9.src.rpm syslog-ng.spec ... Any chance you
(JPO) have a decent working relation ship with Peter, and can convince him it is
a good idea? :}


Comment 3 Bug Zapper 2008-05-14 05:11:44 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Jon Stanley 2008-09-13 17:28:36 EDT
Adding to F10Blocker.  No file conflicts are allowed in the repo (and I just verified this is still the case as of rawhide 20080913)
Comment 5 Peter Vrabec 2008-09-15 09:16:02 EDT
fixed, rsyslog and syskog-ng use same pidfile and logrotate file since:
rsyslog-3.21.3-4.fc10
syslog-ng-2.0.8-3.fc10

Note You need to log in before you can comment on or make changes to this bug.